package com.miaxis.order.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * ad对象 ad_info
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Data
@TableName("v_wx_order")
@ApiModel(value = "OrderInfo", description = "订单视图")
public class OrderInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 商品名称 */
    @Excel(name = "商品名称")
    @TableField("goods_name")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    /** 订单号 */
    @Excel(name = "订单号")
    @TableField("out_trade_no")
    @ApiModelProperty(value = "订单号")
    private String outTradeNo;

    /** 退款订单号 */
    @Excel(name = "退款订单号")
    @TableField("out_refund_no")
    @ApiModelProperty(value = "退款订单号")
    private String outRefundNo;

    /** 订单总金额 */
    @Excel(name = "订单总金额")
    @TableField("total")
    @ApiModelProperty(value = "打开类型 1站内打开 2站外打开")
    private Integer total;

    /** 交易类型 */
    @Excel(name = "交易类型")
    @TableField("trade_type")
    @ApiModelProperty(value = "交易类型")
    private String tradeType;


    /** 交易成功时间 */
    @Excel(name = "交易成功时间")
    @TableField("success_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "交易成功时间")
    private Date successTime;

    /** 交易成功时间 */
    @Excel(name = "佣金")
    @TableField("commission_price")
    @ApiModelProperty(value = "佣金")
    private Integer commissionPrice;




}
